cURL
curl --request POST \ --url https://api.payvessel.com/kyc/api/v1/merchant/documents/international-passport \ --header 'Content-Type: <content-type>' \ --header 'api-key: <api-key>' \ --header 'api-secret: <api-secret>' \ --data ' { "passport_number": "A12345678" } '
200
successfulVerification
{ "success": true, "message": "International passport verification completed successfully", "data": { "first_name": "John", "middle_name": "Adebayo", "last_name": "Doe", "gender": "MALE", "birth_date": "1992-08-14", "photo": "/9j/4AAQSkZJRgABAQAAAQABAAD...", "passport_number": "A12345678", "issue_date": "2021-03-10", "expiry_date": "2031-03-09", "nationality": "Nigerian" }, "charges": { "charged": false, "charged_amount": "0.00" } }
Verify an international passport and retrieve the identity details attached to the passport number.
Your PayVessel API key
Your PayVessel API secret
Request content type
application/json
International passport number
"A12345678"
International passport verification response
true
"International passport verification completed successfully"
Show child attributes